Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.scriptlets
Class ScriptletFactoryContext

    java.lang.Object
      net.sf.jasperreports.engine.scriptlets.ScriptletFactoryContext

    public class ScriptletFactoryContext

extends java.lang.Object

Version:
  $Id: ScriptletFactoryContext.java 3939 2010-08-20 09:52:00Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`ScriptletFactoryContext(java.util.Map parameterValues, JRDataset dataset)`

Method Summary
`JRDataset` | `getDataset()` Returns the dataset for which scriptlets are to be created.
`JasperReport` | `getJasperReport()` Returns the `JasperReport` object for this context.
`java.util.Map` | `getParameterValues()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptletFactoryContext

    public ScriptletFactoryContext(java.util.Map parameterValues,
                                   JRDataset dataset)

Method Detail

### getJasperReport

    public JasperReport getJasperReport()

  Returns the `JasperReport` object for this context.

  Note that this context might correspond to a subdataset in the report. Use `getDataset()` to retrieve the dataset for which scriptlets are to be created

  Returns:
    the current `JasperReport` object
  See Also:
    `getDataset()`

### getParameterValues

    public java.util.Map getParameterValues()

### getDataset

    public JRDataset getDataset()

  Returns the dataset for which scriptlets are to be created.

  Returns:
    a dataset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com